diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/propagation/model/three-gpp-propagation-loss-model.cc ns-3.34/src/propagation/model/three-gpp-propagation-loss-model.cc
--- ns-3.33/src/propagation/model/three-gpp-propagation-loss-model.cc	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/propagation/model/three-gpp-propagation-loss-model.cc	2021-07-14 10:31:07.000000000 -0700
@@ -357,7 +357,7 @@
   double distanceBp = GetBpDistance (m_frequency, hBs, hUt);
   NS_LOG_DEBUG ("breakpoint distance " << distanceBp);
 
-  // check if the distace is outside the validity range
+  // check if the distance is outside the validity range
   if (distance2D < 10.0 || distance2D > 10.0e3)
     {
       NS_LOG_WARN ("The 2D distance is outside the validity range, the pathloss value may not be accurate");
@@ -405,7 +405,7 @@
   // range and the warning message is printed (hBS for the UT-UT case and hUT
   // for the BS-BS case).
 
-  // check if the distace is outside the validity range
+  // check if the distance is outside the validity range
   if (distance2D < 10.0 || distance2D > 5.0e3)
     {
       NS_LOG_WARN ("The 2D distance is outside the validity range, the pathloss value may not be accurate");
@@ -589,7 +589,7 @@
   double distanceBp = GetBpDistance (hUt, hBs, distance2D);
   NS_LOG_DEBUG ("breakpoint distance " << distanceBp);
 
-  // check if the distace is outside the validity range
+  // check if the distance is outside the validity range
   if (distance2D < 10.0 || distance2D > 5.0e3)
     {
       NS_LOG_WARN ("The 2D distance is outside the validity range, the pathloss value may not be accurate");
@@ -636,7 +636,7 @@
   // range and the warning message is printed (hBS for the UT-UT case and hUT
   // for the BS-BS case).
 
-  // check if the distace is outside the validity range
+  // check if the distance is outside the validity range
   if (distance2D < 10.0 || distance2D > 5.0e3)
     {
       NS_LOG_WARN ("The 2D distance is outside the validity range, the pathloss value may not be accurate");
@@ -777,7 +777,7 @@
   double distanceBp = GetBpDistance (hUt, hBs, distance2D);
   NS_LOG_DEBUG ("breakpoint distance " << distanceBp);
 
-  // check if the distace is outside the validity range
+  // check if the distance is outside the validity range
   if (distance2D < 10.0 || distance2D > 5.0e3)
     {
       NS_LOG_WARN ("The 2D distance is outside the validity range, the pathloss value may not be accurate");
@@ -824,7 +824,7 @@
   // range and the warning message is printed (hBS for the UT-UT case and hUT
   // for the BS-BS case).
 
-  // check if the distace is outside the validity range
+  // check if the distance is outside the validity range
   if (distance2D < 10.0 || distance2D > 5.0e3)
     {
       NS_LOG_WARN ("The 2D distance is outside the validity range, the pathloss value may not be accurate");
@@ -951,10 +951,10 @@
   NS_UNUSED (hUt);
   NS_UNUSED (hBs);
 
-  // check if the distace is outside the validity range
+  // check if the distance is outside the validity range
   if (distance3D < 1.0 || distance3D > 150.0)
     {
-      NS_LOG_WARN ("The 2D distance is outside the validity range, the pathloss value may not be accurate");
+      NS_LOG_WARN ("The 3D distance is outside the validity range, the pathloss value may not be accurate");
     }
 
   // compute the pathloss (see 3GPP TR 38.901, Table 7.4.1-1)
@@ -970,10 +970,10 @@
 {
   NS_LOG_FUNCTION (this);
 
-  // check if the distace is outside the validity range
+  // check if the distance is outside the validity range
   if (distance3D < 1.0 || distance3D > 150.0)
     {
-      NS_LOG_WARN ("The 2D distance is outside the validity range, the pathloss value may not be accurate");
+      NS_LOG_WARN ("The 3D distance is outside the validity range, the pathloss value may not be accurate");
     }
 
   // compute the pathloss
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/propagation/model/three-gpp-v2v-propagation-loss-model.cc ns-3.34/src/propagation/model/three-gpp-v2v-propagation-loss-model.cc
--- ns-3.33/src/propagation/model/three-gpp-v2v-propagation-loss-model.cc	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/propagation/model/three-gpp-v2v-propagation-loss-model.cc	2021-07-14 10:31:07.000000000 -0700
@@ -99,7 +99,7 @@
   double blockerHeight = 0;
   double mu_a = 0;
   double sigma_a = 0;
-  double randomValue = m_uniformVar->GetValue () * 3.0;
+  double randomValue = m_uniformVar->GetValue () * 100.0;
   if (randomValue < m_percType3Vehicles)
     {
       // vehicles of type 3 have height 3 meters
@@ -122,8 +122,8 @@
       // Case 2: Maximum antenna height value of TX and RX < Blocker height
       mu_a = 9.0 + std::max (0.0, 15 * log10 (distance3D) - 41.0);
       sigma_a = 4.5;
-      m_logNorVar->SetAttribute ("Mu", DoubleValue (log10 (pow (mu_a, 2) / sqrt (pow (sigma_a, 2) + pow (mu_a, 2)))));
-      m_logNorVar->SetAttribute ("Sigma", DoubleValue (sqrt (log10 (pow (sigma_a, 2) / pow (mu_a, 2) + 1))));
+      m_logNorVar->SetAttribute ("Mu", DoubleValue (log (pow (mu_a, 2) / sqrt (pow (sigma_a, 2) + pow (mu_a, 2)))));
+      m_logNorVar->SetAttribute ("Sigma", DoubleValue (sqrt (log (pow (sigma_a, 2) / pow (mu_a, 2) + 1))));
       additionalLoss = std::max (0.0, m_logNorVar->GetValue ());
     }
   else
@@ -132,8 +132,8 @@
       mu_a = 5.0 + std::max (0.0, 15 * log10 (distance3D) - 41.0);
       sigma_a = 4.0;
 
-      m_logNorVar->SetAttribute ("Mu", DoubleValue (log10 (pow (mu_a,2) / sqrt (pow (sigma_a, 2) + pow (mu_a, 2)))));
-      m_logNorVar->SetAttribute ("Sigma", DoubleValue (sqrt (log10 (pow (sigma_a,2) / pow (mu_a, 2) + 1))));
+      m_logNorVar->SetAttribute ("Mu", DoubleValue (log (pow (mu_a,2) / sqrt (pow (sigma_a, 2) + pow (mu_a, 2)))));
+      m_logNorVar->SetAttribute ("Sigma", DoubleValue (sqrt (log (pow (sigma_a,2) / pow (mu_a, 2) + 1))));
       additionalLoss = std::max (0.0, m_logNorVar->GetValue ());
     }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.33/src/sixlowpan/bindings/modulegen__gcc_ILP32.py ns-3.34/src/sixlowpan/bindings/modulegen__gcc_ILP32.py
--- ns-3.33/src/sixlowpan/bindings/modulegen__gcc_ILP32.py	2021-01-09 10:19:22.000000000 -0800
+++ ns-3.34/src/sixlowpan/bindings/modulegen__gcc_ILP32.py	2021-07-14 10:31:07.000000000 -0700
@@ -75,12 +75,16 @@
     module.add_class('Ipv4Address', import_from_module='ns.network')
     ## ipv4-address.h (module 'network'): ns3::Ipv4Address [class]
     root_module['ns3::Ipv4Address'].implicitly_converts_to(root_module['ns3::Address'])
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash [class]
+    module.add_class('Ipv4AddressHash', import_from_module='ns.network')
     ## ipv4-address.h (module 'network'): ns3::Ipv4Mask [class]
     module.add_class('Ipv4Mask', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Address [class]
     module.add_class('Ipv6Address', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Address [class]
     root_module['ns3::Ipv6Address'].implicitly_converts_to(root_module['ns3::Address'])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash [class]
+    module.add_class('Ipv6AddressHash', import_from_module='ns.network')
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix [class]
     module.add_class('Ipv6Prefix', import_from_module='ns.network')
     ## log.h (module 'core'): ns3::LogComponent [class]
@@ -350,7 +354,7 @@
     ## sixlowpan-net-device.h (module 'sixlowpan'): ns3::SixLowPanNetDevice [class]
     module.add_class('SixLowPanNetDevice', parent=root_module['ns3::NetDevice'])
     ## sixlowpan-net-device.h (module 'sixlowpan'): ns3::SixLowPanNetDevice::DropReason [enumeration]
-    module.add_enum('DropReason', ['DROP_FRAGMENT_TIMEOUT', 'DROP_FRAGMENT_BUFFER_FULL', 'DROP_UNKNOWN_EXTENSION', 'DROP_DISALLOWED_COMPRESSION'], outer_class=root_module['ns3::SixLowPanNetDevice'])
+    module.add_enum('DropReason', ['DROP_FRAGMENT_TIMEOUT', 'DROP_FRAGMENT_BUFFER_FULL', 'DROP_UNKNOWN_EXTENSION', 'DROP_DISALLOWED_COMPRESSION', 'DROP_SATETFUL_DECOMPRESSION_PROBLEM'], outer_class=root_module['ns3::SixLowPanNetDevice'])
     typehandlers.add_type_alias('void ( * ) ( ns3::Ptr< ns3::Packet const >, ns3::Ptr< ns3::SixLowPanNetDevice >, uint32_t )', 'ns3::SixLowPanNetDevice::RxTxTracedCallback')
     typehandlers.add_type_alias('void ( * ) ( ns3::Ptr< ns3::Packet const >, ns3::Ptr< ns3::SixLowPanNetDevice >, uint32_t )*', 'ns3::SixLowPanNetDevice::RxTxTracedCallback*')
     typehandlers.add_type_alias('void ( * ) ( ns3::Ptr< ns3::Packet const >, ns3::Ptr< ns3::SixLowPanNetDevice >, uint32_t )&', 'ns3::SixLowPanNetDevice::RxTxTracedCallback&')
@@ -464,8 +468,10 @@
     register_Ns3EventId_methods(root_module, root_module['ns3::EventId'])
     register_Ns3Hasher_methods(root_module, root_module['ns3::Hasher'])
     register_Ns3Ipv4Address_methods(root_module, root_module['ns3::Ipv4Address'])
+    register_Ns3Ipv4AddressHash_methods(root_module, root_module['ns3::Ipv4AddressHash'])
     register_Ns3Ipv4Mask_methods(root_module, root_module['ns3::Ipv4Mask'])
     register_Ns3Ipv6Address_methods(root_module, root_module['ns3::Ipv6Address'])
+    register_Ns3Ipv6AddressHash_methods(root_module, root_module['ns3::Ipv6AddressHash'])
     register_Ns3Ipv6Prefix_methods(root_module, root_module['ns3::Ipv6Prefix'])
     register_Ns3LogComponent_methods(root_module, root_module['ns3::LogComponent'])
     register_Ns3Mac48Address_methods(root_module, root_module['ns3::Mac48Address'])
@@ -1375,6 +1381,18 @@
                    [param('char const *', 'address')])
     return
 
+def register_Ns3Ipv4AddressHash_methods(root_module, cls):
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash::Ipv4AddressHash() [constructor]
+    cls.add_constructor([])
+    ## ipv4-address.h (module 'network'): ns3::Ipv4AddressHash::Ipv4AddressHash(ns3::Ipv4AddressHash const & arg0) [constructor]
+    cls.add_constructor([param('ns3::Ipv4AddressHash const &', 'arg0')])
+    ## ipv4-address.h (module 'network'): size_t ns3::Ipv4AddressHash::operator()(ns3::Ipv4Address const & x) const [member operator]
+    cls.add_method('operator()', 
+                   'size_t', 
+                   [param('ns3::Ipv4Address const &', 'x')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Ipv4Mask_methods(root_module, cls):
     cls.add_output_stream_operator()
     cls.add_binary_comparison_operator('==')
@@ -1588,6 +1606,11 @@
                    'ns3::Ipv6Address', 
                    [param('ns3::Address', 'addr'), param('ns3::Ipv6Address', 'prefix')], 
                    is_static=True)
+    ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Address addr, ns3::Ipv6Prefix prefix) [member function]
+    cls.add_method('MakeAutoconfiguredAddress', 
+                   'ns3::Ipv6Address', 
+                   [param('ns3::Address', 'addr'), param('ns3::Ipv6Prefix', 'prefix')], 
+                   is_static=True)
     ## ipv6-address.h (module 'network'): static ns3::Ipv6Address ns3::Ipv6Address::MakeAutoconfiguredAddress(ns3::Mac16Address addr, ns3::Ipv6Address prefix) [member function]
     cls.add_method('MakeAutoconfiguredAddress', 
                    'ns3::Ipv6Address', 
@@ -1663,6 +1686,18 @@
                    [param('uint8_t *', 'address')])
     return
 
+def register_Ns3Ipv6AddressHash_methods(root_module, cls):
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash::Ipv6AddressHash() [constructor]
+    cls.add_constructor([])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6AddressHash::Ipv6AddressHash(ns3::Ipv6AddressHash const & arg0) [constructor]
+    cls.add_constructor([param('ns3::Ipv6AddressHash const &', 'arg0')])
+    ## ipv6-address.h (module 'network'): size_t ns3::Ipv6AddressHash::operator()(ns3::Ipv6Address const & x) const [member operator]
+    cls.add_method('operator()', 
+                   'size_t', 
+                   [param('ns3::Ipv6Address const &', 'x')], 
+                   custom_name='__call__', is_const=True)
+    return
+
 def register_Ns3Ipv6Prefix_methods(root_module, cls):
     cls.add_output_stream_operator()
     cls.add_binary_comparison_operator('==')
@@ -1683,6 +1718,11 @@
     cls.add_constructor([param('ns3::Ipv6Prefix const &', 'prefix')])
     ## ipv6-address.h (module 'network'): ns3::Ipv6Prefix::Ipv6Prefix(ns3::Ipv6Prefix const * prefix) [constructor]
     cls.add_constructor([param('ns3::Ipv6Prefix const *', 'prefix')])
+    ## ipv6-address.h (module 'network'): ns3::Ipv6Address ns3::Ipv6Prefix::ConvertToIpv6Address() const [member function]
+    cls.add_method('ConvertToIpv6Address', 
+                   'ns3::Ipv6Address', 
+                   [], 
+                   is_const=True)
     ## ipv6-address.h (module 'network'): void ns3::Ipv6Prefix::GetBytes(uint8_t * buf) const [member function]
     cls.add_method('GetBytes', 
                    'void', 
@@ -2386,6 +2426,10 @@
     cls.add_constructor([param('ns3::SixLowPanHelper const &', 'arg0')])
     ## sixlowpan-helper.h (module 'sixlowpan'): ns3::SixLowPanHelper::SixLowPanHelper() [constructor]
     cls.add_constructor([])
+    ## sixlowpan-helper.h (module 'sixlowpan'): void ns3::SixLowPanHelper::AddContext(ns3::NetDeviceContainer c, uint8_t contextId, ns3::Ipv6Prefix context, ns3::Time validity) [member function]
+    cls.add_method('AddContext', 
+                   'void', 
+                   [param('ns3::NetDeviceContainer', 'c'), param('uint8_t', 'contextId'), param('ns3::Ipv6Prefix', 'context'), param('ns3::Time', 'validity')])
     ## sixlowpan-helper.h (module 'sixlowpan'): int64_t ns3::SixLowPanHelper::AssignStreams(ns3::NetDeviceContainer c, int64_t stream) [member function]
     cls.add_method('AssignStreams', 
                    'int64_t', 
@@ -2394,6 +2438,18 @@
     cls.add_method('Install', 
                    'ns3::NetDeviceContainer', 
                    [param('ns3::NetDeviceContainer', 'c')])
+    ## sixlowpan-helper.h (module 'sixlowpan'): void ns3::SixLowPanHelper::InvalidateContext(ns3::NetDeviceContainer c, uint8_t contextId) [member function]
+    cls.add_method('InvalidateContext', 
+                   'void', 
+                   [param('ns3::NetDeviceContainer', 'c'), param('uint8_t', 'contextId')])
+    ## sixlowpan-helper.h (module 'sixlowpan'): void ns3::SixLowPanHelper::RemoveContext(ns3::NetDeviceContainer c, uint8_t contextId) [member function]
+    cls.add_method('RemoveContext', 
+                   'void', 
+                   [param('ns3::NetDeviceContainer', 'c'), param('uint8_t', 'contextId')])
+    ## sixlowpan-helper.h (module 'sixlowpan'): void ns3::SixLowPanHelper::RenewContext(ns3::NetDeviceContainer c, uint8_t contextId, ns3::Time validity) [member function]
+    cls.add_method('RenewContext', 
+                   'void', 
+                   [param('ns3::NetDeviceContainer', 'c'), param('uint8_t', 'contextId'), param('ns3::Time', 'validity')])
     ## sixlowpan-helper.h (module 'sixlowpan'): void ns3::SixLowPanHelper::SetDeviceAttribute(std::string n1, ns3::AttributeValue const & v1) [member function]
     cls.add_method('SetDeviceAttribute', 
                    'void', 
@@ -3638,16 +3694,16 @@
                    'uint8_t', 
                    [], 
                    is_const=True)
-    ## sixlowpan-header.h (module 'sixlowpan'): ns3::Ipv6Address ns3::SixLowPanIphc::GetDstAddress() const [member function]
-    cls.add_method('GetDstAddress', 
-                   'ns3::Ipv6Address', 
-                   [], 
-                   is_const=True)
     ## sixlowpan-header.h (module 'sixlowpan'): uint8_t ns3::SixLowPanIphc::GetDstContextId() const [member function]
     cls.add_method('GetDstContextId', 
                    'uint8_t', 
                    [], 
                    is_const=True)
+    ## sixlowpan-header.h (module 'sixlowpan'): uint8_t const * ns3::SixLowPanIphc::GetDstInlinePart() const [member function]
+    cls.add_method('GetDstInlinePart', 
+                   'uint8_t const *', 
+                   [], 
+                   is_const=True)
     ## sixlowpan-header.h (module 'sixlowpan'): uint8_t ns3::SixLowPanIphc::GetEcn() const [member function]
     cls.add_method('GetEcn', 
                    'uint8_t', 
@@ -3703,16 +3759,16 @@
                    'uint32_t', 
                    [], 
                    is_const=True, is_virtual=True)
-    ## sixlowpan-header.h (module 'sixlowpan'): ns3::Ipv6Address ns3::SixLowPanIphc::GetSrcAddress() const [member function]
-    cls.add_method('GetSrcAddress', 
-                   'ns3::Ipv6Address', 
-                   [], 
-                   is_const=True)
     ## sixlowpan-header.h (module 'sixlowpan'): uint8_t ns3::SixLowPanIphc::GetSrcContextId() const [member function]
     cls.add_method('GetSrcContextId', 
                    'uint8_t', 
                    [], 
                    is_const=True)
+    ## sixlowpan-header.h (module 'sixlowpan'): uint8_t const * ns3::SixLowPanIphc::GetSrcInlinePart() const [member function]
+    cls.add_method('GetSrcInlinePart', 
+                   'uint8_t const *', 
+                   [], 
+                   is_const=True)
     ## sixlowpan-header.h (module 'sixlowpan'): ns3::SixLowPanIphc::TrafficClassFlowLabel_e ns3::SixLowPanIphc::GetTf() const [member function]
     cls.add_method('GetTf', 
                    'ns3::SixLowPanIphc::TrafficClassFlowLabel_e', 
@@ -3749,14 +3805,14 @@
     cls.add_method('SetDscp', 
                    'void', 
                    [param('uint8_t', 'dscp')])
-    ## sixlowpan-header.h (module 'sixlowpan'): void ns3::SixLowPanIphc::SetDstAddress(ns3::Ipv6Address dstAddress) [member function]
-    cls.add_method('SetDstAddress', 
-                   'void', 
-                   [param('ns3::Ipv6Address', 'dstAddress')])
     ## sixlowpan-header.h (module 'sixlowpan'): void ns3::SixLowPanIphc::SetDstContextId(uint8_t dstContextId) [member function]
     cls.add_method('SetDstContextId', 
                    'void', 
                    [param('uint8_t', 'dstContextId')])
+    ## sixlowpan-header.h (module 'sixlowpan'): void ns3::SixLowPanIphc::SetDstInlinePart(uint8_t * dstInlinePart, uint8_t size) [member function]
+    cls.add_method('SetDstInlinePart', 
+                   'void', 
+                   [param('uint8_t *', 'dstInlinePart'), param('uint8_t', 'size')])
     ## sixlowpan-header.h (module 'sixlowpan'): void ns3::SixLowPanIphc::SetEcn(uint8_t ecn) [member function]
     cls.add_method('SetEcn', 
                    'void', 
@@ -3793,14 +3849,14 @@
     cls.add_method('SetSam', 
                    'void', 
                    [param('ns3::SixLowPanIphc::HeaderCompression_e', 'samField')])
-    ## sixlowpan-header.h (module 'sixlowpan'): void ns3::SixLowPanIphc::SetSrcAddress(ns3::Ipv6Address srcAddress) [member function]
-    cls.add_method('SetSrcAddress', 
-                   'void', 
-                   [param('ns3::Ipv6Address', 'srcAddress')])
     ## sixlowpan-header.h (module 'sixlowpan'): void ns3::SixLowPanIphc::SetSrcContextId(uint8_t srcContextId) [member function]
     cls.add_method('SetSrcContextId', 
                    'void', 
                    [param('uint8_t', 'srcContextId')])
+    ## sixlowpan-header.h (module 'sixlowpan'): void ns3::SixLowPanIphc::SetSrcInlinePart(uint8_t * srcInlinePart, uint8_t size) [member function]
+    cls.add_method('SetSrcInlinePart', 
+                   'void', 
+                   [param('uint8_t *', 'srcInlinePart'), param('uint8_t', 'size')])
     ## sixlowpan-header.h (module 'sixlowpan'): void ns3::SixLowPanIphc::SetTf(ns3::SixLowPanIphc::TrafficClassFlowLabel_e tfField) [member function]
     cls.add_method('SetTf', 
                    'void', 
@@ -5573,6 +5629,10 @@
 def register_Ns3SixLowPanNetDevice_methods(root_module, cls):
     ## sixlowpan-net-device.h (module 'sixlowpan'): ns3::SixLowPanNetDevice::SixLowPanNetDevice() [constructor]
     cls.add_constructor([])
+    ## sixlowpan-net-device.h (module 'sixlowpan'): void ns3::SixLowPanNetDevice::AddContext(uint8_t contextId, ns3::Ipv6Prefix contextPrefix, bool compressionAllowed, ns3::Time validLifetime) [member function]
+    cls.add_method('AddContext', 
+                   'void', 
+                   [param('uint8_t', 'contextId'), param('ns3::Ipv6Prefix', 'contextPrefix'), param('bool', 'compressionAllowed'), param('ns3::Time', 'validLifetime')])
     ## sixlowpan-net-device.h (module 'sixlowpan'): void ns3::SixLowPanNetDevice::AddLinkChangeCallback(ns3::Callback<void, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty, ns3::empty> callback) [member function]
     cls.add_method('AddLinkChangeCallback', 
                    'void', 
@@ -5597,6 +5657,10 @@
                    'ns3::Ptr< ns3::Channel >', 
                    [], 
                    is_const=True, is_virtual=True)
+    ## sixlowpan-net-device.h (module 'sixlowpan'): bool ns3::SixLowPanNetDevice::GetContext(uint8_t contextId, ns3::Ipv6Prefix & contextPrefix, bool & compressionAllowed, ns3::Time & validLifetime) [member function]
+    cls.add_method('GetContext', 
+                   'bool', 
+                   [param('uint8_t', 'contextId'), param('ns3::Ipv6Prefix &', 'contextPrefix'), param('bool &', 'compressionAllowed'), param('ns3::Time &', 'validLifetime')])
     ## sixlowpan-net-device.h (module 'sixlowpan'): uint32_t ns3::SixLowPanNetDevice::GetIfIndex() const [member function]
     cls.add_method('GetIfIndex', 
                    'uint32_t', 
@@ -5632,6 +5696,10 @@
                    'ns3::TypeId', 
                    [], 
                    is_static=True)
+    ## sixlowpan-net-device.h (module 'sixlowpan'): void ns3::SixLowPanNetDevice::InvalidateContext(uint8_t contextId) [member function]
+    cls.add_method('InvalidateContext', 
+                   'void', 
+                   [param('uint8_t', 'contextId')])
     ## sixlowpan-net-device.h (module 'sixlowpan'): bool ns3::SixLowPanNetDevice::IsBridge() const [member function]
     cls.add_method('IsBridge', 
                    'bool', 
@@ -5662,6 +5730,14 @@
                    'bool', 
                    [], 
                    is_const=True, is_virtual=True)
+    ## sixlowpan-net-device.h (module 'sixlowpan'): void ns3::SixLowPanNetDevice::RemoveContext(uint8_t contextId) [member function]
+    cls.add_method('RemoveContext', 
+                   'void', 
+                   [param('uint8_t', 'contextId')])
+    ## sixlowpan-net-device.h (module 'sixlowpan'): void ns3::SixLowPanNetDevice::RenewContext(uint8_t contextId, ns3::Time validLifetime) [member function]
+    cls.add_method('RenewContext', 
+                   'void', 
+                   [param('uint8_t', 'contextId'), param('ns3::Time', 'validLifetime')])
     ## sixlowpan-net-device.h (module 'sixlowpan'): bool ns3::SixLowPanNetDevice::Send(ns3::Ptr<ns3::Packet> packet, ns3::Address const & dest, uint16_t protocolNumber) [member function]
     cls.add_method('Send', 
                    'bool', 
